Bug 697858 - Repos > Upload New Package > Type needs disambiguation
Repos > Upload New Package > Type needs disambiguation
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Lukas Krejci
Corey Welton
:
Depends On:
Blocks: jon3-content
  Show dependency treegraph
 
Reported: 2011-04-19 09:17 EDT by Corey Welton
Modified: 2011-10-04 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:10:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example screenshot (27.51 KB, image/png)
2011-04-19 09:23 EDT, Corey Welton
no flags Details
Screenshot (9.25 KB, image/png)
2011-04-27 08:17 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Corey Welton 2011-04-19 09:17:50 EDT
Description of problem:
The dropdown field for uploading a new package is populated per the plugins the user has installed.  If user has multiple plugins that each allow upload types that share the same name -- i.e., AS4 and AS5 -- it is impossible to visually determine which is the correct item in the dropdown list.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install RHQ + all plugins
2.  Create a new repository
3.  Click repo name
4.  Navigate down to "Upload New Package"
5.  Click the "Type" dropdown; view results.
  
Actual results:
Multiple WAR, EAR, EJB JAR, etc., types

Expected results:
These should be appended/prepended with the plugin name that supports them - or something else similar in order to disambiguate

Additional info:
Comment 1 Corey Welton 2011-04-19 09:23:44 EDT
Created attachment 493193 [details]
example screenshot
Comment 2 Lukas Krejci 2011-04-25 12:18:27 EDT
commit 4341ebff99fc3af9a7d176229f5c9c9aa6f996ce
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Mon Apr 25 18:17:31 2011 +0200

    BZ 697858 - include the resource type resolution in the package type list on the repo details page.
Comment 3 Sunil Kondkar 2011-04-27 08:16:47 EDT
Verified on build#28 (Version: 4.0.0-SNAPSHOT Build Number: da7bcb0)

The upload types in the type list include the resource type. Please refer the attached screenshot.

Marking as verified.
Comment 4 Sunil Kondkar 2011-04-27 08:17:16 EDT
Created attachment 495205 [details]
Screenshot
Comment 5 Corey Welton 2011-05-23 21:10:54 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:10:54 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.